Skip to main content

List person capacities

GET 

/api/person-capacities

warning

Requires "Capacity Versioning" feature to be enabled.

Request

Query Parameters

    person_id integer

    Possible values: >= 1

    Filter items by the person_id field.

    capacity_id integer

    Possible values: >= 1

    Filter items by the capacity_id field.

    order string

    Possible values: [starts_at]

    Order the results by one or more attributes, separated by commas.

    Prefix an attribute with - for descending order or + for ascending order.

    If no prefix is provided, the default order is ascending.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

    deleted string

    Possible values: [exclude, include, only]

    Default value: exclude

    Filter items by deletion status.

    deleted_at date-time

    Filter items by the deleted_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of person capacities.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    person_id integerrequired

    Possible values: >= 1

    The ID of the person

    capacity_id integerrequired

    Possible values: >= 1

    The ID of the capacity

    deleted_at date-time

    The date and time when the resource was deleted

    starts_at datenullable

    The start date of the association, null means "from the beginning of time".

  • ]

Loading...